#!/bin/bash

mysql -e "SET GLOBAL event_scheduler = OFF"

echo "SELECT db, name FROM mysql.event WHERE status = 'SLAVESIDE_DISABLED'" | mysql --raw --silent | \
awk '{
	gsub("`", "``", $1);
	gsub("`", "``", $2);
	print "`"$1"`.`"$2"`";
}' | \
while read event; do
	mysql -e "ALTER EVENT $event ENABLE"
done

mysql -e "SET GLOBAL event_scheduler = ON"
